# QHBoxLayout Class Reference

The QHBoxLayout class lines up child widgets horizontally. More...

`#include <qlayout.h>`

Inherits QBoxLayout.

List of all member functions.

## Public Members

- QHBoxLayout ( QWidget * parent, int border=0, int autoBorder = -1, const char * name=0 )
- QHBoxLayout ( int autoBorder = -1, const char * name=0 )
- ~QHBoxLayout ()

## Detailed Description

The QHBoxLayout class lines up child widgets horizontally.

This class provides an easier way to construct horizontal box layout objects. See QBoxLayout for more details.

The simplest way to use this class is:

         QBoxLayout * l = new QHBoxLayout( widget );
         l->addWidget( aWidget );
         l->addWidget( anotherWidget );
         l->activate()

See also: QVBoxLayout and QGridLayout.

Examples: layout/layout.cpp widgets/widgets.cpp

## Member Function Documentation

### QHBoxLayout::QHBoxLayout ( QWidget * parent, int border=0, int autoBorder = -1, const char * name=0 )

Creates a new top-level horizontal box.

### QHBoxLayout::QHBoxLayout ( int autoBorder = -1, const char * name=0 )

Creates a new horizontal box. You have to add it to another layout before using it.

### QHBoxLayout::~QHBoxLayout ()

Destroys this box.

Search the documentation, FAQ, qt-interest archive and more (uses www.troll.no):

This file is part of the Qt toolkit, copyright © 1995-99 Troll Tech, all rights reserved.

It was generated from the following files:

- qlayout.h: 1998/08/21
- qlayout.cpp: 1998/09/21